"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AsyncTask = void 0;
function defaultErrorHandler(id) {
    return (err) => {
        console.error(`Error while handling task ${id}: ${err.message}`);
    };
}
class AsyncTask {
    constructor(id, handler, errorHandler) {
        this.id = id;
        this.handler = handler;
        this.errorHandler = errorHandler || defaultErrorHandler(this.id);
    }
    execute() {
        this.handler().catch(this.errorHandler);
    }
}
exports.AsyncTask = AsyncTask;
