"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Task = void 0;
function defaultErrorHandler(id) {
    return (err) => {
        console.error(`Error while handling task ${id}: ${err.message}`);
    };
}
class Task {
    constructor(id, handler, errorHandler) {
        this.id = id;
        this.handler = handler;
        this.errorHandler = errorHandler || defaultErrorHandler(this.id);
    }
    execute() {
        try {
            this.handler();
        }
        catch (err) {
            this.errorHandler(err);
        }
    }
}
exports.Task = Task;
